GD support

A signature and avatar generator addon

Moderator: zanix

GD support

Postby knappster » Sat Aug 12, 2006 7:04 pm

Anybody know anything about enabling GD support? I am using debian sarge and I installed php using apt. It's php v4.3.10-16. Would I have to compile the source code myself to enable it or is it just a simple setting that I'd have to change? Thanks.
knappster
WR.net Apprentice
WR.net Apprentice
 
Posts: 63
Joined: Fri Jul 21, 2006 11:12 pm

GD support

Postby zanix » Sat Aug 12, 2006 7:19 pm

Well, if your php had it complied in...
Then yes, it is a simple setting
In your php config file, uncomment the line with "gd2" or something similar

If it was not complied in, then you have to recompile php so that gd is with it
Last edited by zanix on Sat Aug 12, 2006 7:20 pm, edited 1 time in total.
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US

Re: GD support

Postby knappster » Sat Aug 12, 2006 11:08 pm

There is a line that is already uncommented that says:
Code: Select all
extension=gd.so

but when I locate gd.so all that it finds are:
/usr/lib/libgd.so.2
and /usr/lib/libgd.so.2.0.33

So I did:
apt-get install php4-gd
It removed gd2 and installed gd. Now there aren't any gd errors. Thanks for the help.
knappster
WR.net Apprentice
WR.net Apprentice
 
Posts: 63
Joined: Fri Jul 21, 2006 11:12 pm

GD support

Postby zanix » Sun Aug 13, 2006 11:36 am

Cool, glad its working now
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US

Re: GD support

Postby Aeolwind » Fri Mar 02, 2007 8:12 pm

I hate to bump such an old thread, however I've not done anything like this before. I'm self taught on what I do know, so I have little background on stuff like this.

I have phpMyAdmin for the SQL Databases with my guilds host, can I enable the GD support or do I need to get our host to run it?

Here is the info from the rosterdiag:
Code: Select all
GD Support 
GD Status                                              On
GD Version bundled (2.0.28 compatible)
FreeType Support                                       No
T1Lib Support                                          No
GIF Read Support                                      Yes
GIF Create Support                                    Yes
JPG Support                                           Yes
PNG Support                                           Yes
WBMP Support                                          Yes
XPM Support                                           Yes
XBM Support                                           Yes
JIS-mapped Japanese Font Support                       No
 

I know I need to turn FreeType Support to "yes" but how?
Aeolwind
WR.net Apprentice
WR.net Apprentice
 
Posts: 1
Joined: Fri Mar 02, 2007 7:35 pm

GD support

Postby zanix » Sat Mar 03, 2007 5:57 am

zanix wrote:Well, if your php had it complied in...
Then yes, it is a simple setting
In your php config file, uncomment the line with "gd2" or something similar

If it was not complied in, then you have to recompile php so that gd is with it

Freetype has to be compiled with GD when PHP is compiled
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US


Return to SigGen

Who is online

Users browsing this forum: No registered users and 0 guests

cron